#include "SubCommand.h"
#include <sstream>

namespace commands {
    SubCommand::SubCommand(const string& indicator, const bool show_result): name(indicator), show_result(show_result) {}

    void SubCommand::run(stringstream& args) {
        cout << "Not impl!\n";
    }

    string SubCommand::get_name() {
        return this->name;
    }

    bool SubCommand::should_display_result() const
    {
        return this->show_result;
    }

} // commands
